All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
snd_tplg_dai_template Struct Reference
Topology Interface

Template type for physical DAI. It can be used to configure backend DAIs for DPCM. More...

## Data Fields

const char * | dai_name
unsigned int | dai_id
unsigned int | playback
unsigned int | capture
struct snd_tplg_stream_caps_template * | caps [2]
unsigned int | flag_mask
unsigned int | flags
struct snd_soc_tplg_private * | priv

## Detailed Description

Template type for physical DAI. It can be used to configure backend DAIs for DPCM.

## Field Documentation

struct snd_tplg_stream_caps_template* snd_tplg_dai_template::caps[2]

playback & capture for DAI

unsigned int snd_tplg_dai_template::capture

supports capture mode

unsigned int snd_tplg_dai_template::dai_id

unique ID - used to match

const char* snd_tplg_dai_template::dai_name

DAI name

unsigned int snd_tplg_dai_template::flag_mask

bitmask of flags to configure

unsigned int snd_tplg_dai_template::flags

SND_SOC_TPLG_DAI_FLGBIT_*

unsigned int snd_tplg_dai_template::playback

supports playback mode

struct snd_soc_tplg_private* snd_tplg_dai_template::priv

private data

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.4.1/include/topology.h